<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <import type="com.quansu.heifengwuliu.utils.MUiSwitch" />

        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.PasswordVModel" />

    </data>

    <LinearLayout
        android:name="com.ysnows.login.activity.LoginActivity"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:fitsSystemWindows="true"
        android:orientation="vertical"
        tools:context="com.quansu.heifengwuliu.activity.LoginActivity">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="@{vm.type==1?View.VISIBLE:View.GONE}"
            android:orientation="vertical">

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginStart="35dp"
                android:layout_marginEnd="35dp"
                android:layout_marginTop="25dp"
                android:gravity="center_vertical"
                android:paddingStart="@dimen/dp_8"
                android:paddingEnd="@dimen/dp_14"
                android:visibility="@{vm.isShow?View.VISIBLE :View.GONE}"
                app:qmui_backgroundColor="#F4F3F9"
                app:qmui_borderColor="#F4F3F9"
                app:qmui_borderWidth="@dimen/dp_1"
                app:rv_radius="25dp"

                >

                <ImageView
                    android:layout_width="35dp"
                    android:layout_height="35dp"
                    android:padding="5dp"
                    android:src="@drawable/ic_login_pwd" />

                <com.ysnows.base.widget.DelEditText
                    android:id="@+id/edt_old_pwd"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@null"
                    android:hint="@string/please_input_old_pwd"
                    android:inputType="textPassword"
                    android:text="@={vm.oldpassWord}"
                    android:textSize="@dimen/sp_15" />

            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginStart="35dp"
                android:layout_marginEnd="35dp"
                android:layout_marginTop="25dp"
                android:gravity="center_vertical"
                android:paddingStart="@dimen/dp_8"
                android:paddingEnd="@dimen/dp_14"
                app:qmui_backgroundColor="#F4F3F9"
                app:qmui_borderColor="#F4F3F9"
                app:qmui_borderWidth="@dimen/dp_1"
                app:rv_radius="25dp"

                >

                <ImageView
                    android:layout_width="35dp"
                    android:layout_height="35dp"
                    android:padding="5dp"
                    android:src="@drawable/ic_login_pwd" />

                <com.ysnows.base.widget.DelEditText
                    android:id="@+id/edt_new_pwd"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@null"
                    android:hint="@string/please_input_new_pwd"
                    android:inputType="textPassword"
                    android:text="@={vm.passWord}"
                    android:textSize="@dimen/sp_15" />

            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>


            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginStart="35dp"
                android:layout_marginEnd="35dp"
                android:layout_marginTop="25dp"
                android:gravity="center_vertical"
                android:paddingStart="@dimen/dp_8"
                android:paddingEnd="@dimen/dp_14"
                app:qmui_backgroundColor="#F4F3F9"
                app:qmui_borderColor="#F4F3F9"
                app:qmui_borderWidth="@dimen/dp_1"
                app:rv_radius="25dp"

                >

                <ImageView
                    android:layout_width="35dp"
                    android:layout_height="35dp"
                    android:padding="5dp"
                    android:src="@drawable/ic_login_pwd" />

                <com.ysnows.base.widget.DelEditText
                    android:id="@+id/edt_new_pwd_to"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@null"
                    android:hint="@string/please_input_new_pwd_twice"
                    android:inputType="textPassword"
                    android:text="@={vm.passWordTo}"
                    android:textSize="@dimen/sp_15" />

            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1">

            </View>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginLeft="35dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="35dp"
                android:layout_marginBottom="@dimen/dp_40"
                android:background="@color/colorPrimary"
                app:cardBackgroundColor="@color/colorPrimary"
                app:cardCornerRadius="22.5dp"
                app:cardElevation="2dp"
                app:cardPreventCornerOverlap="true">

                <Button
                    android:id="@+id/btn_submit"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#E17E30"
                    android:onClick="@{v->vm.toSubmit()}"
                    android:text="@string/submit"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_16" />

            </androidx.cardview.widget.CardView>



        </LinearLayout>

      <!--    支付密码-->
         <LinearLayout
             android:layout_width="match_parent"
             android:orientation="vertical"
             android:visibility="@{vm.type==2?View.VISIBLE:View.GONE}"
             android:layout_height="wrap_content">


             <LinearLayout
                 android:layout_width="match_parent"
                 android:orientation="horizontal"
                 android:layout_marginTop="25dp"
                 android:gravity="center_vertical"
                 android:layout_marginStart="35dp"
                 android:layout_marginEnd="35dp"
                 android:layout_height="wrap_content">

                 <TextView
                     android:layout_width="wrap_content"
                     android:textSize="@dimen/sp_15"
                     android:textColor="@color/text_title"
                     android:text="原支付密码："
                     android:layout_height="wrap_content">

                 </TextView>


                 <com.quansu.heifengwuliu.view.PasswordView
                     android:id="@+id/ppet_old_password"
                     android:layout_width="match_parent"
                     app:cipherEnable="true"
                     app:passwordLength="6"
                     app:smode="rect"
                     android:layout_height="45dp">

                 </com.quansu.heifengwuliu.view.PasswordView>


             </LinearLayout>


             <LinearLayout
                 android:layout_width="match_parent"
                 android:orientation="horizontal"
                 android:layout_marginTop="25dp"
                 android:gravity="center_vertical"
                 android:layout_marginStart="35dp"
                 android:layout_marginEnd="35dp"
                 android:layout_height="wrap_content">

                 <TextView
                     android:layout_width="wrap_content"
                     android:textSize="@dimen/sp_15"
                     android:textColor="@color/text_title"
                     android:text="新支付密码："
                     android:layout_height="wrap_content">

                 </TextView>

                 <com.quansu.heifengwuliu.view.PasswordView
                     android:id="@+id/ppet_new_password"
                     android:layout_width="match_parent"
                     app:cipherEnable="true"
                     app:passwordLength="6"
                     app:smode="rect"
                     android:layout_height="45dp">

                 </com.quansu.heifengwuliu.view.PasswordView>


             </LinearLayout>


             <View
                 android:layout_width="match_parent"
                 android:layout_height="0dp"
                 android:layout_weight="1">

             </View>

             <androidx.cardview.widget.CardView
                 android:layout_width="match_parent"
                 android:layout_height="45dp"
                 android:layout_marginLeft="35dp"
                 android:layout_marginTop="10dp"
                 android:layout_marginRight="35dp"
                 android:layout_marginBottom="@dimen/dp_40"
                 android:background="@color/colorPrimary"
                 app:cardBackgroundColor="@color/colorPrimary"
                 app:cardCornerRadius="22.5dp"
                 app:cardElevation="2dp"
                 app:cardPreventCornerOverlap="true">

                 <Button
                     android:id="@+id/btn_pay_submit"
                     android:layout_width="match_parent"
                     android:layout_height="match_parent"
                     android:background="#E17E30"
                     android:text="@string/submit"
                     android:textColor="@color/white"
                     android:textSize="@dimen/sp_16" />

             </androidx.cardview.widget.CardView>





         </LinearLayout>



    </LinearLayout>
</layout>
